GET /portal/api/requests
curl --request GET \
--url https://api.example.com/portal/api/requests \
--cookie gproxy_session=import requests
url = "https://api.example.com/portal/api/requests"
headers = {"cookie": "gproxy_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'gproxy_session='}};
fetch('https://api.example.com/portal/api/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/portal/api/requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "gproxy_session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/portal/api/requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "gproxy_session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/portal/api/requests")
.header("cookie", "gproxy_session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/portal/api/requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'gproxy_session='
response = http.request(request)
puts response.read_body[
{
"apiKeyId": "<string>",
"durationMs": 123,
"endedAtMs": 123,
"model": "<string>",
"operation": "<string>",
"provider": "<string>",
"requestId": "<string>",
"responseStatus": 123,
"startedAtMs": 123,
"state": "<string>"
}
]{
"error": {
"code": "<string>",
"message": "<string>"
}
}Portal
GET /portal/api/requests
GET
/
portal
/
api
/
requests
GET /portal/api/requests
curl --request GET \
--url https://api.example.com/portal/api/requests \
--cookie gproxy_session=import requests
url = "https://api.example.com/portal/api/requests"
headers = {"cookie": "gproxy_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'gproxy_session='}};
fetch('https://api.example.com/portal/api/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/portal/api/requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "gproxy_session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/portal/api/requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "gproxy_session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/portal/api/requests")
.header("cookie", "gproxy_session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/portal/api/requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'gproxy_session='
response = http.request(request)
puts response.read_body[
{
"apiKeyId": "<string>",
"durationMs": 123,
"endedAtMs": 123,
"model": "<string>",
"operation": "<string>",
"provider": "<string>",
"requestId": "<string>",
"responseStatus": 123,
"startedAtMs": 123,
"state": "<string>"
}
]{
"error": {
"code": "<string>",
"message": "<string>"
}
}授权
consoleSessionbeareranthropicKeygoogleKey
响应
Success
The caller's own key that made the request, when one did.
End minus start, when the request has ended.
The name the client asked for.
The upstream's display name. Never its id, never its credential.
in_progress, completed, failed or cancelled. Capture
completeness, not the upstream's verdict.